// tcl wrapper for vtkImageAutoThresholdColocalization object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAutoThresholdColocalization.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageAutoThresholdColocalizationNewCommand()
{
  vtkImageAutoThresholdColocalization *temp = vtkImageAutoThresholdColocalization::New();
  return ((ClientData)temp);
}

int vtkImageMultipleInputOutputFilterCppCommand(vtkImageMultipleInputOutputFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCppCommand(vtkImageAutoThresholdColocalization *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageAutoThresholdColocalizationCppCommand((vtkImageAutoThresholdColocalization *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCppCommand(vtkImageAutoThresholdColocalization *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageAutoThresholdColocalization",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkImageMultipleInputOutputFilterCppCommand((vtkImageMultipleInputOutputFilter *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkImageMultipleInputOutputFilter", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageAutoThresholdColocalization  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageAutoThresholdColocalization  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageAutoThresholdColocalization  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantVoxelValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConstantVoxelValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantVoxelValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConstantVoxelValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonWholeImage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonWholeImage();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonWholeImage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonWholeImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonImageAbove",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonImageAbove();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonImageAbove",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonImageAbove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonImageBelow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonImageBelow();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonImageBelow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonImageBelow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetM1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetM1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetM1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetM1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetM2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetM2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetM2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetM2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetK1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetK1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetK1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetK1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetK2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetK2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetK2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetK2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdM1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThresholdM1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThresholdM1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThresholdM1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdM2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThresholdM2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThresholdM2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThresholdM2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetC1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetC1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetC1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetC1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetC2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetC2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetC2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetC2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageVolumeCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageVolumeCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageVolumeCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageVolumeCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageVolumeCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageVolumeCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageVolumeCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageVolumeCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageTotalCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageTotalCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageTotalCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageTotalCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageTotalCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageTotalCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageTotalCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageTotalCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageMaterialCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageMaterialCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageMaterialCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageMaterialCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageMaterialCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageMaterialCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageMaterialCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageMaterialCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCh1ThresholdMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCh1ThresholdMax();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCh1ThresholdMax",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCh1ThresholdMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCh2ThresholdMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCh2ThresholdMax();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCh2ThresholdMax",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCh2ThresholdMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumOverThresholdCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumOverThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumOverThresholdCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumOverThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumOverThresholdCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumOverThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumOverThresholdCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumOverThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlope",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlope();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlope",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlope(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntercept",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntercept();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntercept",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIntercept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocAmount",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColocAmount();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColocAmount",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColocAmount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocPercent",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColocPercent();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColocPercent",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColocPercent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainIntCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainIntCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainIntCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainIntCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainVoxelsCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainVoxelsCh1();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainVoxelsCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainVoxelsCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainIntCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainIntCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainIntCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainIntCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainVoxelsCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainVoxelsCh2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainVoxelsCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainVoxelsCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowerThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLowerThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowerThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLowerThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowerThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLowerThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowerThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLowerThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpperThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpperThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpperThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpperThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpperThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpperThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOverThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOverThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonZeroCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonZeroCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonZeroCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonZeroCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonZeroCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonZeroCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonZeroCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonZeroCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageAutoThresholdColocalizationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageMultipleInputOutputFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageAutoThresholdColocalization:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantVoxelValue\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantVoxelValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonWholeImage\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonWholeImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonImageAbove\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonImageAbove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonImageBelow\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonImageBelow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetM1\n",NULL);
    Tcl_AppendResult(interp,"  SetM1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetM2\n",NULL);
    Tcl_AppendResult(interp,"  SetM2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetK1\n",NULL);
    Tcl_AppendResult(interp,"  SetK1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetK2\n",NULL);
    Tcl_AppendResult(interp,"  SetK2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdM1\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdM1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdM2\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdM2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetC1\n",NULL);
    Tcl_AppendResult(interp,"  SetC1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetC2\n",NULL);
    Tcl_AppendResult(interp,"  SetC2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageVolumeCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageVolumeCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageVolumeCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageVolumeCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageTotalCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageTotalCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageTotalCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageTotalCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageMaterialCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageMaterialCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageMaterialCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageMaterialCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCh1ThresholdMax\n",NULL);
    Tcl_AppendResult(interp,"  SetCh1ThresholdMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCh2ThresholdMax\n",NULL);
    Tcl_AppendResult(interp,"  SetCh2ThresholdMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumOverThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetSumOverThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumOverThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetSumOverThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetSumCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetSumCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlope\n",NULL);
    Tcl_AppendResult(interp,"  SetSlope\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntercept\n",NULL);
    Tcl_AppendResult(interp,"  SetIntercept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColocAmount\n",NULL);
    Tcl_AppendResult(interp,"  SetColocAmount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColocPercent\n",NULL);
    Tcl_AppendResult(interp,"  SetColocPercent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainIntCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainIntCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainVoxelsCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainVoxelsCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainIntCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainIntCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainVoxelsCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainVoxelsCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetLowerThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetLowerThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetUpperThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetUpperThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOverThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetOverThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetNonZeroCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonZeroCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetNonZeroCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonZeroCh2\n",NULL);
    return TCL_OK;
    }

  if (vtkImageMultipleInputOutputFilterCppCommand((vtkImageMultipleInputOutputFilter *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
